<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionCamoBoxKit Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d5c/a03838.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionCamoBoxKit Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class handle base class of expansion basebuilding <br  />
  
 <a href="../../d1/d5c/a03838.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionCamoBoxKit:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d5c/a03838.png" usemap="#ExpansionCamoBoxKit_map" alt=""/>
  <map id="ExpansionCamoBoxKit_map" name="ExpansionCamoBoxKit_map">
<area href="../../dc/d19/a03806.html" alt="ExpansionKitLarge" shape="rect" coords="0,0,137,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad8aeebcfddee6dd48b78e32ec891db8a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d5c/a03838.html#ad8aeebcfddee6dd48b78e32ec891db8a">OnPlacementComplete</a> (Man player, vector <a class="el" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:ad8aeebcfddee6dd48b78e32ec891db8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85463a55881b73bde4985b166abc6a49"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d5c/a03838.html#a85463a55881b73bde4985b166abc6a49">GetDeploySoundset</a> ()</td></tr>
<tr class="separator:a85463a55881b73bde4985b166abc6a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60749bc2e681eeea2b70975fe55daf96"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d5c/a03838.html#a60749bc2e681eeea2b70975fe55daf96">GetLoopDeploySoundset</a> ()</td></tr>
<tr class="separator:a60749bc2e681eeea2b70975fe55daf96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This class handle base class of expansion basebuilding <br  />
 </p>
<p ><a class="el" href="../../d8/d8e/a00344.html">ExpansionCamoBoxKit.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d8e/a00344_source.html#l00016">16</a> of file <a class="el" href="../../d8/d8e/a00344_source.html">expansioncamoboxkit.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a85463a55881b73bde4985b166abc6a49" name="a85463a55881b73bde4985b166abc6a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85463a55881b73bde4985b166abc6a49">&#9670;&#160;</a></span>GetDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionCamoBoxKit::GetDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d8e/a00344_source.html#l00042">42</a> of file <a class="el" href="../../d8/d8e/a00344_source.html">expansioncamoboxkit.c</a>.</p>

</div>
</div>
<a id="a60749bc2e681eeea2b70975fe55daf96" name="a60749bc2e681eeea2b70975fe55daf96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60749bc2e681eeea2b70975fe55daf96">&#9670;&#160;</a></span>GetLoopDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionCamoBoxKit::GetLoopDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d8e/a00344_source.html#l00047">47</a> of file <a class="el" href="../../d8/d8e/a00344_source.html">expansioncamoboxkit.c</a>.</p>

</div>
</div>
<a id="ad8aeebcfddee6dd48b78e32ec891db8a" name="ad8aeebcfddee6dd48b78e32ec891db8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8aeebcfddee6dd48b78e32ec891db8a">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionCamoBoxKit::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Make the kit invisible, so it can be destroyed from deploy UA when action ends</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d8e/a00344_source.html#l00021">21</a> of file <a class="el" href="../../d8/d8e/a00344_source.html">expansioncamoboxkit.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/deployable/<a class="el" href="../../d8/d8e/a00344_source.html">expansioncamoboxkit.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d5c/a03838.html">ExpansionCamoBoxKit</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
